Subject: AFI and SAFI values in BGP/MPLS VPNs

From: Sachin Kalra <[email-masked]>
Date: Mon, 11 Mar 2002 15:34:52 -0500

Dear All:

I would appreciate if I can get answer to the following question.

draft-ietf-ppvpn-rfc2547bis-01 says in Section 4.3.4
"...If the AFI field is set to 1, and the SAFI field is set to
    128, the NLRI is an MPLS-labeled VPN-IPv4 address..."

Whereas, RFC 3107 that this draft refers to says in section 3
"...The fact that the NLRI contains a label is
    indicated by using SAFI value 4..."

Please, can somebody explain what should be the SAFI value if BGP is 
carrying a Label for MPLS VPNs?

Also, can anybody point me to where I can find the updated assigned 
"Address Family Numbers"? I already checked RFC 1700/3232/IANA

Thanks,
Sachin Kalra

---

From: "Reddy, Vikram" <[email-masked]>
Date: Tue, 12 Mar 2002 01:57:42 -0500

Sachin,
 
SAFI =128  is used for labeled VPN-IPV4 NLRI. 
 
SAFI = 4 is for labeled IPV4 NLRI.

For MPLS VPNS using 2547bis, PE to PE advertisement , use SAFI =128.
 
Vikram.

-----Original Message-----
From: Sachin Kalra [mailto:[email-masked]]
Sent: Monday, March 11, 2002 12:35 PM
To: [email-masked]
Subject: AFI and SAFI values in BGP/MPLS VPNs

Dear All:

Also, can anybody point me to where I can find the updated assigned "Address
Family Numbers"? I already checked RFC 1700/3232/IANA 

Thanks,
Sachin Kalra